.\"	$NetBSD: ite.4,v 1.7 2002/01/15 01:36:15 wiz Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ite.4	8.1 (Berkeley) 6/9/93
.\"
.Dd September 10, 2001
.Dt ITE 4 hp300
.Os
.Sh NAME
.Nm ite
.Nd
.Tn HP
Internal Terminal Emulator graphics driver
.Sh SYNOPSIS
.Cd "ite* at grf?"
.Sh DESCRIPTION
.Tn TTY
special files of the form ``ttye?''
are interfaces to the
.Tn HP ITE
for bit-mapped displays as implemented under
.Bx .
An
.Tn ITE
is the main system console on most
.Tn HP300
workstations and
is the mechanism through which a user communicates with the machine.
If more than one display exists on a system,
any or all can be used as
.Tn ITE Ns s
with the limitation that only the first
one opened will have a keyboard (since only one keyboard is supported).
.Pp
.Tn ITE
devices use the
.Tn HP-UX
.Sq Li 300h
.Xr termcap 5
or
.Xr terminfo 5
entries.
However, as currently implemented,
the
.Tn ITE
does not support the full range of
.Tn HP-UX
capabilities for this device.
Missing are multiple colors, underlining, blinking, softkeys,
programmable tabs, scrolling memory and keyboard arrow keys.
The keyboard does not have any of the international character
support of
.Tn HP Ns 's
.Tn NLS
system.
It does use the left and right
.Em extend char
keys as meta keys, in that it will set the eighth bit of the character code.
.Pp
Upon booting, the kernel will first look for an
.Tn ITE
device
to use as the system console
.Pq Pa /dev/console .
If a display exists at any hardware address, it will be the console.
The kernel looks for, in order:
a 98544, 98545, or 98547 Topcat display,
a 98700 Gatorbox at a supported address (see
.Xr gbox 4 ) ,
or a 98720 Renaissance at a supported address (see
.Xr rbox 4 ) .
Currently there is no
.Tn ITE
support for the
98548, 98549, 98550 and 98556 boards.
.Pp
When activated as an
.Tn ITE
(special file opened),
all displays go through a standard initialization sequence.
The frame buffer is cleared,
the
.Tn ROM
fonts are unpacked and loaded into off-screen storage and
a cursor appears.
The
.Tn ITE
initialization routine also sets the colormap entry used to white.
Variable colors are not used, mainly for reasons of simplicity.
The font pixels are all set to 0xff and the colormap entry corresponding
to all planes is set to R=255, G=255 and B=255.
The actual number of planes used to display the characters depends
on the hardware installed.
Finally, if the keyboard
.Tn HIL
device is not already assigned to another
.Tn ITE
device, it is placed in ``cooked'' mode and assigned to this
.Tn ITE .
.Pp
On most systems,
a display is used both as an
.Tn ITE
.Pf ( Pa /dev/ttye?
aka
.Pa /dev/console )
and as a graphics device
.Pq /dev/grf? .
In this environment,
there is some interaction between the two uses that should be noted.
For example, opening
.Pa /dev/grf0
will deactivate the
.Tn ITE ,
that is, write over whatever may be on the
.Tn ITE
display.
When the graphics application is finished and
.Pa /dev/grf0
closed,
the
.Tn ITE
will be reinitialized with the frame buffer cleared
and the
.Tn ITE
colormap installed.
.Sh DIAGNOSTICS
None under
.Bx .
.Sh SEE ALSO
.Xr grf 4 ,
.Xr hil 4 ,
.Xr tty 4
